my iPod isn't broken don;t worry but i need a link for 1.1.1 to downgrade with my old version of 1.1.1 don't work any more... so yea thanks for teh help